Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006296TestLinkTest Specification - Move/Copy Test Casespublic2014-04-15 06:212014-09-27 16:43
Reportersachinshengale 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.12 (2014 Q3) 
Summary0006296: Test Specification 'Move/Copy Test Cases' feature should only present filtered tests for move/copy when filer is applied.
DescriptionTest Specification 'Move/Copy Test Cases' feature should only present filtered tests for move/copy when filer is applied.

All the tests are available for 'Move/Copy' irrespective of Filter applied
Steps To ReproduceSteps:
1. Create 2 tests with name say "Test_A" and "Test_B" in a testsuite say "testsuite1"
2. Now Click on "testsuite1" in left Test Specification Navigation.
3. Filter by 'Test Case Title' with value "Test_A".
4. Only Filtered "Test_A" will be listed in Left Pane.
5. Now go for testcase operation 'Move/Copy'

Observed:
All the tests are available for 'Move/Copy' irrespective of Filter applied.

Expected:
Only "Test_A" should be available for 'Move/Copy'
TagsNo tags attached.
Database (MySQL,Postgres,etc)MYSQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Test_Spec_Filter_Move-Copy.png [^] (143,922 bytes) 2014-04-15 06:21


png file icon Latest_Git_Test_Spec_Filter_Move-Copy.png [^] (89,952 bytes) 2014-04-17 05:07

- Relationships
child of 0006457closedfman Availables hot-fixes for 1.9.11 & How To get full fixed package from gitorious 

-  Notes
(0020725)
fman (administrator)
2014-04-16 11:51
edited on: 2014-04-16 11:52

please get latest fixes from gitorious (see 0006048), apply, retest and provide feedback.

(0020727)
sachinshengale (reporter)
2014-04-17 05:06

This is reproducible on Latest code as well. Please refer to the screenshot.
(0020729)
fman (administrator)
2014-04-17 05:54

OK, thanks for your help
(0021390)
fman (administrator)
2014-08-06 20:10

https://gitorious.org/testlink-ga/testlink-code/commit/062ee335852e6c057142caf5043878ffc72ac7aa [^]
(0021743)
fman (administrator)
2014-09-27 16:43

Release done

- Issue History
Date Modified Username Field Change
2014-04-15 06:21 sachinshengale New Issue
2014-04-15 06:21 sachinshengale File Added: Test_Spec_Filter_Move-Copy.png
2014-04-16 11:51 fman Note Added: 0020725
2014-04-16 11:52 fman Note Edited: 0020725 View Revisions
2014-04-17 05:06 sachinshengale Note Added: 0020727
2014-04-17 05:07 sachinshengale File Added: Latest_Git_Test_Spec_Filter_Move-Copy.png
2014-04-17 05:54 fman Note Added: 0020729
2014-04-19 08:07 fman QA Team - Task Workflow Status => TBD
2014-08-06 20:10 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-08-06 20:10 fman Note Added: 0021390
2014-08-06 20:10 fman Status new => resolved
2014-08-06 20:10 fman Fixed in Version => 1.9.12 (2014 Q3)
2014-08-06 20:10 fman Resolution open => fixed
2014-08-06 20:10 fman Assigned To => fman
2014-08-06 20:10 fman Relationship added child of 0006457
2014-09-27 16:43 fman Note Added: 0021743
2014-09-27 16:43 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker